IClassCoverage (JaCoCo 0.6.3.201306030806 API)
Date: 2013-06-03

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jacoco.core.analysis
Interface IClassCoverage

All Superinterfaces:
  ICoverageNode, ISourceNode

    public interface IClassCoverage

extends ISourceNode

Coverage data of a single class containing methods. The name of this node is the fully qualified class name in VM notation (slash separated).

See Also:
  `IMethodCoverage`

Nested Class Summary

Nested classes/interfaces inherited from interface org.jacoco.core.analysis.ICoverageNode
`ICoverageNode.CounterEntity, ICoverageNode.ElementType`

Field Summary

Fields inherited from interface org.jacoco.core.analysis.ISourceNode
`UNKNOWN_LINE`

Method Summary
`long` | `getId()` Returns the identifier for this class which is the CRC64 signature of the class definition.
`String[]` | `getInterfaceNames()` Returns the VM names of implemented/extended interfaces
`Collection<IMethodCoverage>` | `getMethods()` Returns the methods included in this class.
`String` | `getPackageName()` Returns the VM name of the package this class belongs to.
`String` | `getSignature()` Returns the VM signature of the class.
`String` | `getSourceFileName()` Returns the optional name of the corresponding source file.
`String` | `getSuperName()` Returns the VM name of the superclass.

Methods inherited from interface org.jacoco.core.analysis.ISourceNode
`getFirstLine, getLastLine, getLine`

Methods inherited from interface org.jacoco.core.analysis.ICoverageNode
`getBranchCounter, getClassCounter, getComplexityCounter, getCounter, getElementType, getInstructionCounter, getLineCounter, getMethodCounter, getName, getPlainCopy`

Method Detail

### getId

    long getId()

  Returns the identifier for this class which is the CRC64 signature of the class definition.

  Returns:
    class identifier

### getSignature

    String getSignature()

  Returns the VM signature of the class.

  Returns:
    VM signature of the class (may be `null`)

### getSuperName

    String getSuperName()

  Returns the VM name of the superclass.

  Returns:
    VM name of the super class (may be `null`, i.e. `java/lang/Object`)

### getInterfaceNames

    String[] getInterfaceNames()

  Returns the VM names of implemented/extended interfaces

  Returns:
    VM names of implemented/extended interfaces

### getPackageName

    String getPackageName()

  Returns the VM name of the package this class belongs to.

  Returns:
    VM name of the package

### getSourceFileName

    String getSourceFileName()

  Returns the optional name of the corresponding source file.

  Returns:
    name of the corresponding source file

### getMethods

    Collection<IMethodCoverage> getMethods()

  Returns the methods included in this class.

  Returns:
    methods of this class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009-2013 Mountainminds GmbH & Co. KG. All Rights Reserved.